API ReferenceEcosystem Configuration
Retrieve ecosystem configuration
Roles
admindts-consumer
Analytics Events
ECOSYSTEM_CONFIG_RETRIEVE_STARTECOSYSTEM_CONFIG_RETRIEVE_SUCCESSECOSYSTEM_CONFIG_RETRIEVE_FAIL
GET
/v1/config/ecosystemsRetrieves the tenant's ecosystem configuration.
Analytic events
- ECOSYSTEM_CONFIG_RETRIEVE_START
- ECOSYSTEM_CONFIG_RETRIEVE_SUCCESS
- ECOSYSTEM_CONFIG_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/config/ecosystems"{ "ecosystems": [ { "url": "string" } ], "isIssuanceRestricted": true, "isVerificationRestricted": true}How would you rate this page?
Create ecosystem configuration POST
Creates an ecosystem configuration for the tenant. ### **Analytic events** * ECOSYSTEM_CONFIG_CREATE_START * ECOSYSTEM_CONFIG_CREATE_SUCCESS * ECOSYSTEM_CONFIG_CREATE_FAIL
Update ecosystem configuration PUT
Updates the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_UPDATE_START * ECOSYSTEM_CONFIG_UPDATE_SUCCESS * ECOSYSTEM_CONFIG_UPDATE_FAIL